<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class ToolsAPITest extends \PHPUnit\Framework\TestCase
{
  /**
   * Sets up the fixture, for example, opens a network connection.
   * This method is called before a test is executed.
   */
  protected function setUp(): void
  {
  }

  /**
   * Tears down the fixture, for example, closes a network connection.
   * This method is called after a test is executed.
   */
  protected function tearDown(): void
  {
  }

  /**
   * @test
   */
  public function getMenuTitle_notEmpty()
  {
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ANMELDUNGBUCHEN_TN));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ANMELDUNGBUCHEN_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSPLANUNG_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_TEILNEHMERINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSUEBERSICHT_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_WEBBASYS));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSPLANUNG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_LEHRPLAN_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_VERTRAG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSBEWERBUNG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_RAUMBELEGUNG_HM));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_RAUMANZEIGE));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_DOZENTENINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ADRESSINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_PORTRAIT_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_HONORAR_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_FACH_VERTRAG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ANMELDUNGBUCHEN_TN));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ANMELDUNGBUCHEN_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSPLANUNG_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_TEILNEHMERINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSUEBERSICHT_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_WEBBASYS));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSPLANUNG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_VERTRAG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_KURSBEWERBUNG_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_RAUMBELEGUNG_HM));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_RAUMANZEIGE));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_DOZENTENINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_ADRESSINFO_MA));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_PORTRAIT_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_HONORAR_DOZ));
    $this->assertNotEmpty(\ToolsAPI::getMenuTitle(\ToolsAPI::TOOL_FACH_VERTRAG_DOZ));
  }
}
